#!/usr/bin/env node

var coz = require('coz'),
    async = require('async'),
    tasking = require('apeman-dev-commons-tasking'),
    buds = require('apeman-tmpl-contrib-official/lib/commons');

var pkg = require('../package.json');

process.chdir(__dirname + '/..');

tasking.runTasks([
    function (callback) {
        coz.render([
            'lib/**/.*.bud',
            'test/**/.*.bud'
        ], callback);
    },
    function (callback) {
        buds.render({
            pkg: pkg,
            modules: [
                {name: "concatFiles"},
                {name: "renderSass"}
            ],
            usages: [
                {
                    title: 'Concat Files',
                    description: "Concat string files.",
                    example: 'docs/examples/concat-files-example.js'
                },
                {
                    title: 'Render sass file.',
                    description: "Render sass file.",
                    example: 'docs/examples/render-sass-example.js'
                }
            ],
            see: {}
        }, callback);
    }
], true);
