#!/usr/bin/env node

/**
 * Test for concatFiles.js
 * Runs with nodeunit.
 */

"use strict";

var concatFiles = require('../lib/concat_files'),
    path = require('path'),
    fs = require('fs');


var tmpDir = path.resolve(__dirname, '../tmp');

exports['Concat files'] = function (test) {
    var dest = path.resolve(tmpDir, 'foo/bar/concat_all.txt');
    concatFiles([
        __dirname + '/../lib/*.js',
        __filename
    ], dest, {
        unique: true
    }, function (err, result) {
        test.ifError(err);
        test.ok(fs.existsSync(dest));
        test.ok(result.filename);
        test.ok(result.hasOwnProperty('skipped'));
        test.done();
    });
};

